Skip to content
AMQP 1.0 client library for Python
Python Shell Dockerfile
Branch: master
Clone or download

Latest commit

Files

Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
.azure-pipelines Build manylinux2010 wheels (#128) Mar 2, 2020
.github/ISSUE_TEMPLATE Update issue templates (#137) Jan 7, 2020
samples Updates for 1.2.5 (#132) Dec 11, 2019
src Fix typos in log messages found by linter (#146) Mar 23, 2020
tests Updates for v1.2.3 (#102) Oct 5, 2019
uamqp Patch for message sender seg fault (#140) Feb 13, 2020
utils Build manylinux2010 wheels (#128) Mar 2, 2020
.gitattributes Manylinux1 Mar 8, 2018
.gitignore Updated iothub samples Jun 18, 2018
.travis.yml Update for python3.8 (#123) Dec 2, 2019
HISTORY.rst Patch for message sender seg fault (#140) Feb 13, 2020
LICENSE Initial commit Feb 26, 2018
MANIFEST.in Functionnal sdist Mar 8, 2018
README.rst Update build badge Mar 5, 2019
build_armv7l.sh Python 2.7 support - v1.1 (#48) Nov 13, 2018
build_linux_sdist.sh
build_many_linux.sh Build manylinux2010 wheels (#128) Mar 2, 2020
build_openssl_armv7l.sh Started ARM wheel configuration Jul 13, 2018
build_openssl_osx.sh Fix openssl_osx build script Mar 2, 2020
build_osx.sh Deprecate i386 builds for macOS (#145) Mar 2, 2020
dev_requirements.txt
install_python_osx.sh Deprecate i386 builds for macOS (#145) Mar 2, 2020
pylintrc Python 2.7 support - v1.1 (#48) Nov 13, 2018
pytest.ini Python 2.7 support - v1.1 (#48) Nov 13, 2018
setup.py Update for python3.8 (#123) Dec 2, 2019

README.rst

uAMQP for Python

https://dev.azure.com/azure-sdk/public/_apis/build/status/python/azure-uamqp-python%20-%20client?branchName=master

An AMQP 1.0 client library for Python.

Installation

Wheels are provided for most major operating systems, so you can install directly with pip:

$ pip install uamqp

If you are running a Linux distro that does not support ManyLinux1, you can install from source:

$ apt-get update
$ apt-get install -y build-essential libssl-dev uuid-dev cmake libcurl4-openssl-dev pkg-config python3-dev python3-pip
$ pip3 install uamqp --no-binary

Documentation

Reference documentation can be found here: docs.microsoft.com/python/api/uamqp/uamqp.

Developer Setup

In order to run the code directly, the Cython extension will need to be build first.

Pre-requisites

  • Windows: Setup a build environment.
  • Linux: Install dependencies as descriped above in the installation instructions.
  • MacOS: Install cmake using Homebrew:
$ brew install cmake

Building the extension

This project has two C library dependencies. They are vendored in this repository in these versions:

To build, start by creating a virtual environment and installing the required Python packages:

$ python -m venv env
$ env/Scripts/activate
(env)$ pip install -r dev_requirements.txt

Next, run the build command:

$ python setup.py build_ext --inplace

Tests

The tests can be run from within the virtual environment. The extension must be built first using the instructions above.

(env)$ pytest

Provide Feedback

If you encounter any bugs or have suggestions, please file an issue in the Issues section of the project.

Contributing

This project welcomes contributions and suggestions. Most contributions require you to agree to a Contributor License Agreement (CLA) declaring that you have the right to, and actually do, grant us the rights to use your contribution. For details, visit https://cla.microsoft.com.

When you submit a pull request, a CLA-bot will automatically determine whether you need to provide a CLA and decorate the PR appropriately (e.g., label, comment). Simply follow the instructions provided by the bot. You will only need to do this once across all repos using our CLA.

This project has adopted the Microsoft Open Source Code of Conduct. For more information see the Code of Conduct FAQ or contact opencode@microsoft.com with any additional questions or comments.

You can’t perform that action at this time.